metalog(1)

NAME

metalog - an alternative syslog daemon

SYNTAX

metalog [--async] [--daemonize] [--consolelevel=0..7] [--configfile=config file] [--help] [--pidfile=pid file] [--sync]

DESCRIPTION

Metalog is a modern replacement for syslogd and klogd. The logged messages can be dispatched according to their facility, urgency, program name and/or Perl-compatible regular expressions. Log files can be automatically rotated when they exceed a certain size or age. External shell scripts (ex: mail) can be launched when specific patterns are found.
Metalog is easier to configure than syslogd and syslog-ng, accepts unlimited number of rules and has (switchable) memory bufferisation for maximal performance.

OPTIONS

--async
    Improve performance by using buffers (bug log files won't get updated in real time)

--daemonize
    have the server start in background (daemonization) .

--consolelevel=0..7
    Set the console log level (Linux only).

--configfile=config file
    Use an alternate configuration file.

--help
    Output help information and exit.

--pidfile=pid file
    Use an alternate file to store the process number.

--sync
    Start in synchronous mode, with no bufferization.

FILES

/etc/metalog.conf
/var/run/metalog.pid
/dev/log

AUTHORS

Leo Lipelis <aeoo@gentoo.org>
Hendrik Visage <hvisage@users.sourceforge.net>
Frank DENIS (Jedi/Sector One) <j@pureftpd.org>